##########################################################
# Redirect common search terms to an appropriate target. #
# Author: Scott Pakin <scott+clsl@pakin.org>             #
##########################################################

# ------------------------------ precedes ------------------------------

[[create]]
top_matches = "precedes"
matches = "precedes"
item = ["dominance"]
see = "precedes"

[[create]]
top_matches = "precedes"
matches = "negated"
item = ["dominance", "negative"]
see = "precedes, negated"

[[create]]
top_matches = "precedes"
matches = "or equal to"
render_contains = 'preccurlyeq'
item = ["dominance", "weak"]
see = "precedes, or equal to"

[[create]]
top_matches = "precedes"
matches = "or equal to, negated"
render_contains = 'npreccurlyeq'
item = ["dominance", "negative weak"]
see = "precedes, or equal to, negated"

[[create]]
top_matches = "precedes"
matches = "double"
render_contains = ['\BSKllcurly', '\STIXPrec']
item = ["dominance", "strict"]
see = "precedes, double"

# ------------------------------- music --------------------------------

[[create]]
matches = "segno"
render_contains = ['\musSegno', '\MSXsegno']
item = ["dal segno"]
see = "segno"

[[create]]
top_matches = "alla breve"
matches = "alla breve"
item = ["meter, musical"]
see = "alla breve"

[[create]]
top_matches = "alla breve"
matches = "reversed"
item = ["meter, musical"]
see = "alla breve, reversed"

[[create]]
top_matches = "common time"
matches = "common time"
item = ["meter, musical"]
see = "common time"

[[create]]
top_matches = "common time"
matches = "forward and reversed"
item = ["meter, musical"]
see = "common time, forward and reversed"

[[create]]
top_matches = "musical notes"
item = ["note", "musical"]
see = "musical notes"
render = ""

[[create]]
top_matches = "musical notes"
seealso = '\\textit{names of individual notes}'
render = ""

# ---------------------- unions and intersections ----------------------

[[create]]
top_matches = "union"
matches = "union"
item = ["set union"]
see = "union"

[[create]]
top_matches = "union"
matches = "union"
item = ["cup"]
see = "union"

[[create]]
top_matches = "union"
matches = "square"
item = ["bunch join"]
see = "union, square"

[[create]]
top_matches = "union"
matches = "square"
item = ["map join"]
see = "union, square"

[[create]]
top_matches = "intersection"
matches = "intersection"
item = ["set intersection"]
see = "intersection"

[[create]]
top_matches = "intersection"
matches = "intersection"
item = ["cap"]
see = "intersection"

[[create]]
top_matches = "intersection"
matches = "square"
item = ["bunch meet"]
see = "intersection, square"

[[create]]
top_matches = "intersection"
matches = "square"
item = ["map meet"]
see = "intersection, square"

# ------------------------------ letters -------------------------------

[[create]]
render_contains = '\hbar'
item = ["Planck's constant"]
render = "Planck's constant ($\\hbar$)"
see = "barred letters, h"

[[create]]
top_matches = "barred letters"
matches = "d"
item = ["inexact differential"]
see = "barred letters, d"

[[create]]
top_matches = "barred letters"
matches = "d"
item = ["differential, inexact"]
see = "barred letters, d"

[[create]]
matches = "barred letters"
item = "crossed letters"
see = "barred letters"

[[create]]
top_matches = "boko letters"
item = ["Hausa letters"]
see = "boko letters"
render = ""

[[create]]
top_matches = "z"
matches = "round"
item = ["ezh"]
see = "round z"

[[create]]
top_matches = "z"
matches = "round"
item = ["tailed letters", "z"]
see = "round z"

[[create]]
matches = "rotated letters"
item = "upside-down letters"
see = "rotated letters"

[[create]]
matches = "schwa"
item = ["rotated letters", "e"]
see = "schwa"

[[create]]
top_matches = "barred letters"
matches = "D"
item = ["Maxwell-Stefan diffusion coefficient"]
see = "barred letters, D"

[[create]]
top_matches = "rotated letters"
matches = "s, inverted"
item = ["s", "lazy"]
see = "rotated letters, s, inverted"

[[create]]
top_matches = "omega"
matches = "uppercase"
item = ["ohm"]
see = "omega, uppercase"

[[create]]
top_matches = "sharp s"
item = ["eszett"]
see = "sharp s"
render = 'eszett (\ss)'

[[create]]
top_matches = "pi"
matches = "lowercase variant"
item = ["pomega"]
see = "pi, lowercase variant"

[[create]]
top_matches = "pi"
matches = "lowercase variant"
item = ["curly pi"]
see = "pi, lowercase variant"

[[create]]
top_matches = "delta"
matches = "uppercase"
item = ["Laplacian"]
see = "delta, uppercase"
render = 'Laplacian ($\Delta$)'

# ------------------------- logical operations -------------------------

# ... not sign ...

[[create]]
top_matches = "logical negation"
item = ["negation"]
see = "logical negation"

[[create]]
top_matches = "logical negation"
item = ["not"]
see = "logical negation"

[[create]]
top_matches = "logical negation"
matches = "inverted"
item = ["interior product"]
see = "logical negation, inverted"

# ... wedge ...

[[create]]
render_contains = '($\wedge$)'
item = ["and"]
see = "wedge"

[[create]]
render_contains = '($\wedge$)'
item = ["logical conjunction"]
see = "wedge"

[[create]]
render_contains = '($\wedge$)'
item = ["conjunction", "logical"]
see = "wedge"

[[create]]
render_contains = '($\barwedge$)'
item = ["nand"]
see = "wedge, bar over"

[[create]]
top_matches = "wedge"
matches = "double"
item = ["merge"]
see = "wedge, double"

# ... vee ...

[[create]]
render_contains = '($\vee$)'
item = ["or"]
see = "vee"

[[create]]
render_contains = '($\vee$)'
item = ["logical disjunction"]
see = "vee"

[[create]]
render_contains = '($\vee$)'
item = ["disjunction, logical"]
see = "vee"

[[create]]
render_contains = '\STIXbarvee'
item = ["nor"]
see = "vee, bar over"

[[create]]
render_contains = '($\veebar$)'
item = ["xor"]
see = "vee, bar under"

[[create]]
render_contains = '($\veebar$)'
item = ["exclusive or"]
see = "vee, bar under"

[[create]]
render_contains = '($\veebar$)'
item = ["exclusive disjunction, logical"]
see = "vee, bar under"

[[create]]
render_contains = '($\veebar$)'
item = ["logical exclusive disjunction"]
see = "vee, bar under"

# ----------------------------- turnstiles -----------------------------

[[create]]
top_matches = "turnstile"
matches = "double dash, right"
item = ["satisfies"]
see = "turnstile, double dash, right"

[[create]]
top_matches = "turnstile"
matches = "double dash, right"
item = ["models"]
see = "turnstile, double dash, right"

[[create]]
top_matches = "turnstile"
matches = "short bar, right"
item = ["footline"]
see = "turnstile, short bar"

[[create]]
top_matches = "turnstile"
item = ["assertion"]
see = "turnstile"
render = ""

[[create]]
top_matches = "turnstile"
matches = "down"
item = ["top"]
see = "turnstile, down"

[[create]]
top_matches = "turnstile"
matches = "down"
item = ["tautology"]
see = "turnstile, down"

[[create]]
top_matches = "turnstile"
matches = "down"
item = ["lattice", "top"]
see = "turnstile, down"

[[create]]
top_matches = "turnstile"
matches = "up"
item = ["lattice", "bottom"]
see = "turnstile, up"

[[create]]
top_matches = "turnstile"
matches = "up"
item = ["tack"]
see = "turnstile"

[[create]]
top_matches = "turnstile"
matches = "up"
item = ["perpendicular"]
see = "turnstile, up"

[[create]]
top_matches = "turnstile"
matches = "up"
item = ["orthogonal"]
see = "turnstile, up"

[[create]]
top_matches = "turnstile"
matches = "up"
item = ["bottom"]
see = "turnstile, up"

[[create]]
top_matches = "turnstile"
matches = "up"
item = ["falsum"]
see = "turnstile, up"

[[create]]
top_matches = "turnstile"
matches = "up"
item = ["independence"]
see = "turnstile, up"

[[create]]
top_matches = "turnstile"
matches = "double dash, up"
item = ["independence"]
see = "turnstile, double dash, up"

[[create]]
top_matches = "turnstile"
matches = "double bar, down"
item = ["postal mark"]
see = "turnstile, double bar, down"

# ---------------------------- gender signs ----------------------------

[[create]]
top_matches = "gender signs"
matches = "male"
item = ["male"]
see = "gender signs, male"

[[create]]
top_matches = "gender signs"
matches = "female"
item = ["female"]
see = "gender signs, female"

[[create]]
top_matches = "gender signs"
matches = "male and female"
item = ["hermaphrodite"]
see = "gender signs, male and female"

[[create]]
top_matches = "gender signs"
matches = "female/male"
item = ["heterosexual"]
see = "gender signs, female/male"

[[create]]
top_matches = "gender signs"
matches = "male/male"
item = ["homosexual"]
see = "gender signs, male/male"

[[create]]
top_matches = "gender signs"
matches = "female/female"
item = ["lesbian"]
see = "gender signs, female/female"

[[create]]
top_matches = "gender signs"
matches = "male with stroke and male and female"
item = ["transgender"]
see = "gender signs, male with stroke and male and female"

[[create]]
top_matches = "gender signs"
matches = "nonbinary"
item = ["nonbinary"]
see = "gender signs, nonbinary"

# -------------------------- quotation marks ---------------------------

[[create]]
top_matches = "quotation marks"
matches = "straight double"
item = ["ditto marks"]
see = "quotation marks, straight double"

[[create]]
top_matches = "quotation marks"
matches = "straight single"
item = ["feet"]
see = "quotation marks, straight single"

# This rule belongs in a different category but is kept with the preceding
# rule, which is a proper quotation-mark reference.
[[create]]
top_matches = "prime"
render_regex = '\\[A-Z]*prime'
item = ["feet"]
see = "prime"

[[create]]
top_matches = "quotation marks"
matches = "straight double"
item = ["inches"]
see = "quotation marks, straight double"

# This rule belongs in a different category but is kept with the preceding
# rule, which is a proper quotation-mark reference.
[[create]]
top_matches = "prime"
render_regex = '\\[A-Z]*dprime'
item = ["inches"]
see = "prime, double"

# ----------------------------- plus signs -----------------------------

[[create]]
render_contains = '\oplus'
item = ["Kronecker sum"]
see = "circled symbols, plus"
render = 'Kronecker sum ($\oplus$)'

[[create]]
render_contains = '\oplus'
item = ["xor"]
see = "circled symbols, plus"
render = 'xor ($\oplus$)'

[[create]]
render_contains = '\oplus'
item = ["exclusive or"]
see = "circled symbols, plus"
render = 'exclusive or ($\oplus$)'

[[create]]
render_contains = '\oplus'
item = ["ring sum"]
see = "circled symbols, plus"
render = 'ring sum ($\oplus$)'

# ------------------------------- hands --------------------------------

[[create]]
top_matches = "hand"
matches = "hand"
item = "printer's fists"
see = "hand"
render = ""

[[create]]
top_matches = "hand"
matches = "hand"
item = "fists"
see = "hand"
render = ""

[[create]]
top_matches = "hand"
matches = "hand"
item = "manicules"
see = "hand"
render = ""

[[create]]
top_matches = "hand"
matches = "hand"
item = "pointing finger"
see = "hand"
render = ""

[[create]]
render_contains = '\faHandScissors'
item = ["rock, paper, scissors (also lizard, Spock)"]
see = "hand"
render = ""

[[create]]
render_contains = '\faHandScissors'
item = ["roshambo"]
see = "hand"
render = ""

[[create]]
top_matches = "hand"
matches = "Vulcan salute"
item = "Spock sign"
see = "hand, Vulcan salute"
render = ""

[[create]]
top_matches = "hand"
matches = "fist"
render_contains = '(\faHandBackFist)'
item = ["hand", "rock sign"]
see = "hand, fist"

[[create]]
top_matches = "hand"
matches = "victory sign"
item = ["hand", "peace sign"]
see = "hand, victory sign"
render = ""

[[create]]
top_matches = "hand"
matches = "with eye"
item = ["hamsa"]
see = "hand, with eye"

# -------------------------- cleaning symbols --------------------------

[[create]]
render_contains = '(\WashCotton)'
item = "normal"
see = "machine wash, cotton"

[[create]]
render_contains = '(\WashCotton)'
item = "maximum agitation"
see = "machine wash, cotton"

[[create]]
render_contains = '(\WashSynthetics)'
item = "permanent press"
see = "machine wash, synthetics"

[[create]]
render_contains = '(\WashSynthetics)'
item = "medium agitation"
see = "machine wash, synthetics"

[[create]]
render_contains = '(\WashWool)'
item = "delicate"
see = "machine wash, wool/silk"

[[create]]
render_contains = '(\WashWool)'
item = "minimal agitation"
see = "machine wash, wool/silk"

# ------------------------------ accents -------------------------------

# ... redirects from accents>X to accents>Y ...

[[create]]
top_matches = "accents"
matches = "circumflex"
word = "hat"
see = 'accents, \g<0>'

[[create]]
preserve_escapes = true
top_matches = "accents"
matches = "caron"
item = "hacek"
word = "h\\'{a}\\v{c}ek"
see = "accents, caron"

[[create]]
preserve_escapes = true
top_matches = "accents"
matches = "diaeresis"
word = "umlaut"
see = 'accents, di{\ae}resis'

[[create]]
top_matches = "accents"
matches = "acute, double"
item = "Hungarian umlaut"
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "ring"
word = "krouzek"
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "ring"
item = ["interior"]
see = 'accents, \g<0>'

[[create]]
preserve_escapes = true
top_matches = "accents"
matches = "diaeresis"
item = "trema"
word = "tr{\\'e}ma"
see = 'accents, di{\ae}resis'

# ... redirects from the top level to an accent ...

[[create]]
top_matches = "accents"
matches = "ring"
item = ["set interior"]
see = "accents, ring"

[[create]]
top_matches = "accents"
matches = "diaeresis"
item = ["umlaut"]
see = 'accents, di{\\ae}resis'

[[create]]
preserve_escapes = true
top_matches = "accents"
matches = "caron"
item = ["hacek"]
word = "h\\'{a}\\v{c}ek"
see = "accents, caron"

[[create]]
top_matches = "accents"
matches = "ring"
item = ["krouzek"]
word = 'krou\\v{z}ek'
see = "accents, ring"

[[create]]
top_matches = "accents"
matches = "diaeresis"
item = ["diaeresis"]
word = 'di{\\ae}resis'
see = 'accents, di{\\ae}resis'

[[create]]
top_matches = "accents"
matches = "ring"
item = ["ring accent"]
see = "accents, ring"

[[create]]
top_matches = "accents"
matches = "bar"
item = ["vinculum"]
see = "accents, bar"

[[create]]
top_matches = "accents"
matches = "fermata"
item = ["fermata", "accent"]
see = "accents, fermata"

[[create]]
top_matches = "accents"
matches = "circumflex"
item = ["hat", "accent"]
see = "accents, circumflex"

[[create]]
render_contains = '\blackacchack{\^}'
item = ["caret"]
see = "accents, circumflex"

[[create]]
render_contains = "mathring"
item = ["A with ring", "math mode"]
see = "accents, ring"
render = ""

# ... redirects from X to just "accents" ...

[[create]]
top_matches = "accents"
matches = [
    "acute",
    "arc",
    "breve",
    "caron",
    "cedilla",
    "circumflex",
    "grave",
    "macron",
    "ogonek"
]
item = ['\1']
see = 'accents, \1'

[[create]]
top_matches = "accents"
matches = "diaeresis"
item = ["trema"]
word = "tr{\\'e}ma"
see = 'accents, di{\\ae}resis'

[[create]]
top_matches = "accents"
matches = "bar"
item = ["overline"]
see = "accents, overline"

[[create]]
top_matches = "accents"
matches = "bar below"
item = ["underline"]
see = "accents, underline"

# ... redirects from accents>X to Y ...

[[create]]
render_contains = '\RHAT'
item = ["accents", "decorative hat"]
render = ""

# ... diacritics ...

[[create]]
render_contains = '\textasciicircum'
item = ["caret"]
see = "diacritics, circumflex"

[[create]]
top_matches = "diacritics"
matches = "circumflex"
item = "hat"
see = "diacritics, circumflex"

[[create]]
top_matches = "diacritics"
matches = "open"
item = ["diacritics", "half ring, left"]
see = "diacritics, open"

# -------------------------- phonetic accents --------------------------

[[create]]
top_matches = "accents"
matches = "ring below"
item = ["phonetic accents", "voiceless"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "caron below"
item = ["phonetic accents", "voiced"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "half ring below, right"
item = ["phonetic accents", "more rounded"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "half ring below, left"
item = ["phonetic accents", "less rounded"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "plus below"
item = ["phonetic accents", "advanced"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "bar below"
item = ["phonetic accents", "retracted"]
see = 'accents, \g<0>'

[[create]]
preserve_escapes = true
top_matches = "accents"
matches = "diaeresis"
item = ["phonetic accents", "centralized"]
see = 'accents, di{\ae}resis'

[[create]]
top_matches = "accents"
matches = "X"
item = ["phonetic accents", "mid-centralized"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "vertical line below"
item = ["phonetic accents", "syllabic"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "breve below, inverted"
item = ["phonetic accents", "non-syllabic"]
see = 'accents, \g<0>'

[[create]]
preserve_escapes = true
top_matches = "accents"
matches = "diaeresis below"
item = ["phonetic accents", "breathy voiced"]
see = 'accents, di{\ae}resis below'

[[create]]
top_matches = "accents"
matches = "tilde below"
item = ["phonetic accents", "creaky voiced"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "seagull below"
item = ["phonetic accents", "linguolabial"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "tilde overlay"
item = ["phonetic accents", "velarized/pharyngealized"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "tack below, up"
item = ["phonetic accents", "raised"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "tack below, down"
item = ["phonetic accents", "lowered"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "tack below, left"
item = ["phonetic accents", "advanced tongue root"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "tack below, right"
item = ["phonetic accents", "retracted tongue root"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "bridge below"
item = ["phonetic accents", "dental"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "bridge below, inverted"
item = ["phonetic accents", "apical"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "square below"
item = ["phonetic accents", "laminal"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "tilde"
item = ["phonetic accents", "nasalized"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "angle, left"
item = ["phonetic accents", "no audible release"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "acute, double"
item = ["phonetic accents", "tone, extra high"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "acute"
item = ["phonetic accents", "tone, high"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "macron"
item = ["phonetic accents", "tone, mid"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "grave"
item = ["phonetic accents", "tone, low"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "grave, double"
item = ["phonetic accents", "tone, extra low"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "breve"
item = ["phonetic accents", "suprasegmental, extra short"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "caron"
item = ["phonetic accents", "tone, rising"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "circumflex"
item = ["phonetic accents", "tone, falling"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "high rising tone"
item = ["phonetic accents", "tone, high rising"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "low rising tone"
item = ["phonetic accents", "tone, low rising"]
see = 'accents, \g<0>'

[[create]]
top_matches = "accents"
matches = "rising and falling tone"
item = ["phonetic accents", "tone, rising and falling"]
see = 'accents, \g<0>'

# -------------------- various mathematical symbols --------------------

# ... logic ...

[[create]]
top_matches = "strict implication"
item = ["fish tail", "right"]
see = "strict implication"

[[create]]
top_matches = "strict implication"
item = ["fish tail", "left"]
see = "strict converse implication"

[[create]]
top_matches = "arrow"
matches = "arrow"
item = ["joint denial"]
see = "arrow"
render = 'joint denial ($\downarrow$)'

[[create]]
top_matches = "equivalence"
matches = "equivalence"
item = ["material biconditional"]
see = "equivalence"

[[create]]
top_matches = "arrow"
matches = "arrow"
item = ["material conditional"]
see = "arrow"

[[create]]
top_matches = "arrow"
matches = "arrow"
item = ["alternative denial"]
see = "arrow"
render = 'alternative denial ($\uparrow$)'

[[create]]
top_matches = "vertical bar"
render_contains = '\textbar'
item = ["alternative denial"]
see = "vertical bar"
render = 'alternative denial (\textbar)'

[[create]]
top_matches = "superset"
matches = "strict"
item = ["material conditional"]
see = "superset, strict"

[[create]]
top_matches = "arrow"
matches = "double ended"
item = ["material equivalence"]
see = "arrow, double ended"

[[create]]
top_matches = "equivalence"
matches = "equivalence"
item = ["material equivalence"]
see = "equivalence"

[[create]]
top_matches = "arrow"
matches = "arrow"
item = ["material implication"]
see = "arrow"

[[create]]
top_matches = "superset"
matches = "strict"
item = ["material implication"]
see = "superset, strict"

[[create]]
top_matches = "arrow"
matches = "arrow"
item = ["material nonimplication"]
see = "arrow"
render = 'material nonimplication ($\nrightarrow$)'  # Assuming AMS

[[create]]
top_matches = "superset"
matches = "strict, negated"
item = ["material nonimplication"]
see = "superset, strict, negated"

[[create]]
top_matches = "arrow"
matches = "arrow"
item = ["converse implication"]
see = "arrow"
render = 'converse implication ($\leftarrow$)'

[[create]]
top_matches = "subset"
matches = "strict"
item = ["converse implication"]
see = "subset, strict"

[[create]]
top_matches = "arrow"
matches = "arrow"
item = ["converse nonimplication"]
see = "arrow"
render = 'converse nonimplication ($\nleftarrow$)'

[[create]]
top_matches = "subset"
matches = "strict, negated"
item = ["converse nonimplication"]
see = "subset, strict, negated"

[[create]]
top_matches = "multimap"
matches = "multimap"
item = ["linear implication"]
see = "multimap"

[[create]]
top_matches = "multimap"
matches = "multimap"
item = ["lollipop (mathematics)"]
see = "multimap"

[[create]]
top_matches = "vertical bar"
matches = "vertical bar"
item = ["Sheffer's stroke"]
see = "vertical bar"

[[create]]
top_matches = "ampersand"
matches = "inverted"
item = ["multiplicative disjunction"]
see = "ampersand, inverted"

[[create]]
top_matches = "ampersand"
matches = "inverted"
item = ["par"]
see = "ampersand, inverted"

# ... set theory ...

[[create]]
top_matches = "subset"
matches = "square"
item = ["subbunch"]
see = "subset, square"

[[create]]
top_matches = "subset"
matches = "square"
item = ["submap"]
see = "subset, square"

[[create]]
top_matches = "subset"
matches = "finite"
item = ["subset", "double"]
see = "subset, finite"

[[create]]
top_matches = "subset"
matches = "strict"
item = ["proper subset"]
see = "subset, strict"

[[create]]
top_matches = "superset"
matches = "strict"
item = ["proper superset"]
see = "superset, strict"

[[create]]
top_matches = "set membership"
matches = "set membership"
item = ["in"]
see = "set membership"

[[create]]
top_matches = "set membership"
matches = "set membership"
item = ["member of"]
see = "set membership"

[[create]]
top_matches = "set membership"
matches = "set membership"
item = ["element of"]
see = "set membership"

[[create]]
top_matches = "set membership"
matches = "reversed"
item = ["owns"]
see = "set membership, reversed"

[[create]]
matches = "aleph"
item = ["cardinality"]
see = "aleph"

# ... equality and inequality ...

[[create]]
top_matches = "equal"
render_contains = '\circeq'
item = ["ring equals"]
see = "equal, ring"
render = 'ring equals ($\circeq$)'

[[create]]
top_matches = "equal"
render_contains = '\eqcolon'
item = ["excess"]
see = "equal, colon"

[[create]]
top_matches = "equal"
render_contains = '\eqcirc'
item = ["ring within equals"]
see = "equal, ring"
render = 'ring within equals ($\eqcirc$)'

[[create]]
top_matches = "equal"
render_contains = '$\doteqdot$'
item = ["geometrically equal to"]
see = "equal, dots"

[[create]]
top_matches = "equal"
matches = "negated"
item = ["not equal"]
see = "equal, negated"

[[create]]
top_matches = "equal"
render_contains = '$\bumpeq$'
item = ["difference between"]
see = "equal, bump"

[[create]]
top_matches = "equal"
render_contains = '$\Bumpeq$'
item = ["geometrically equivalent to"]
see = "equal, bump"

[[create]]
top_matches = "equal"
matches = "asymptotically"
item = ["asymptotically equal to"]
see = "equal, asymptotically"

[[create]]
top_matches = "less than"
matches = "horizontally barred"
item = ["smaller than"]
see = "less than, horizontally barred"

[[create]]
top_matches = "greater than"
matches = "horizontally barred"
item = ["larger than"]
see = "greater than, horizontally barred"

[[create]]
top_matches = "less than"
matches = "much, underlined"
item = ["partial meet contraction"]
see = "less than, much, underlined"

[[create]]
top_matches = "equivalence"
render_contains = '($\equiv$)'
item = ["biconditional"]
see = "equivalence"

[[create]]
top_matches = "arrow"
matches = "double ended"
item = ["biconditional"]
see = "arrow, double ended"

# ... Z notation ...

[[create]]
top_matches = "greater than"
matches = "much"
item = ["Z notation", "schema piping"]
see = "greater than, much"

[[create]]
top_matches = "restriction"
matches = "restriction"
item = ["Z notation", "schema projection"]
see = "restriction"

[[create]]
top_matches = "bullet"
matches = "bullet"
item = ["Z notation", "spot"]
see = "bullet"

[[create]]
top_matches = "colon"
matches = "hollow"
item = ["Z notation", "type colon"]
see = "colon, hollow"

[[create]]
top_matches = "bullet"
matches = "bullet"
item = ["Z notation", "spot"]
see = "bullet"

[[create]]
top_matches = "semicolon"
matches = "hollow"
item = ["Z notation", "relational composition"]
see = "semicolon, hollow"

[[create]]
top_matches = "delimiters"
matches = "parenthesis with bar"
render_contains = ['\OpnParnBar', '\ClsParnBar']
item = ["Z notation", "relational image"]
see = "delimiters, parenthesis with bar"
render = 'relational image (\OpnParnBar\graybox\ClsParnBar)'

[[create]]
top_matches = "triangle"
render_contains = '(\STIXdsub)'
item = ["Z notation", "domain antirestriction"]
see = "triangle, bar through"

[[create]]
top_matches = "triangle"
render_contains = '(\STIXrsub)'
item = ["Z notation", "range antirestriction"]
see = "triangle, bar through"

# ... delimiters ...

[[create]]
top_matches = "delimiters"
matches = "vertical bar"
item = ["absolute value"]
see = "delimiters, vertical bar"
render = 'absolute value ($\vert$\graybox$\vert$)'

[[create]]
top_matches = "delimiters"
matches = "double vertical bar"
item = ["norm"]
see = "delimiters, double vertical bar"
render = 'norm ($\Vert$\graybox$\Vert$)'

[[create]]
top_matches = "delimiters"
matches = "upper corners"
item = ["Quine corners"]
see = "delimiters, upper corners"
render = 'Quine corners ($\ulcorner$\graybox$\urcorner$)'

[[create]]
top_matches = "delimiters"
matches = "upper corners"
item = ["quasi-quotation marks"]
see = "delimiters, upper corners"
render = 'quasi-quotation marks ($\ulcorner$\graybox$\urcorner$)'

# ... other ...

[[create]]
matches = "therefore"
item = "thus"
see = "therefore"

[[create]]
top_matches = "therefore"
matches = "down"
item = ["since"]
see = "therefore, down"

[[create]]
top_matches = "therefore"
matches = "down"
item = ["because"]
see = "therefore, down"

[[create]]
top_matches = "minus"
matches = "dot"
item = ["cutoff subtraction"]
see = "minus, dot"

[[create]]
top_matches = "minus"
matches = "dots"
render_contains = "dotsminusdots"
item = ["geometric proportion"]
see = "minus, dots"

[[create]]
top_matches = "times"
matches = "times"
item = ["multiplication", "cross"]
see = "times"

[[create]]
top_matches = "times"
item = ["Cartesian product"]
see = "times"

[[create]]
top_matches = "times"
item = ["cross product"]
see = "times"

[[create]]
render_contains = '\otimes'
item = ["Kronecker product"]
see = "circled symbols, multiplication"
render = 'Kronecker product ($\otimes$)'

[[create]]
render_contains = '\otimes'
item = ["tensor product"]
see = "circled symbols, multiplication"
render = 'tensor product ($\otimes$)'

[[create]]
top_matches = "partial derivative"
item = ["derivative, partial"]
see = "partial derivative"

[[create]]
top_matches = "proportionality"
matches = "reversed"
item = ["Descartes's equal sign"]
see = "proportionality, reversed"

[[create]]
top_matches = "arrow"
matches = "wavy"
item = ["arrow", "zigzagged"]
see = "arrow, wavy"
render = ""

[[create]]
top_matches = "arrow"
matches = "wavy"
item = ["leads to"]
see = "arrow, wavy"

[[create]]
top_matches = "nabla"
item = ["Laplacian"]
see = "nabla"
render = 'Laplacian ($\nabla^2$)'

[[create]]
top_matches = "triangle"
matches = "triangle"
item = ["set symmetric difference"]
see = "triangle"
render = 'set symmetric difference ($\bigtriangleup$)'

[[create]]
top_matches = "arrow"
matches = "double ended, double bodied"
item = ["iff"]
see = "arrow, double ended, double bodied"

[[create]]
top_matches = "pitchfork"
matches = "pitchfork"
item = ["transversal intersection"]
see = "pitchfork"

[[create]]
top_matches = "transform"
preserve_escapes = true
seealso = "alphabets, math"
render = ""

[[create]]
top_matches = "for all"
matches = "for all"
item = ["universal bunch quantifier"]
see = "for all"

[[create]]
top_matches = "for all"
matches = "for all"
item = ["universal individual quantifier"]
see = "for all"

[[create]]
top_matches = "rhombus"
matches = "rhombus"
item = ["diamond"]
see = "rhombus"

[[create]]
top_matches = "end of proof"
item = "QED"
see = "end of proof"
render = ""

[[create]]
top_matches = "smiles and frowns"
matches = "both"
render_contains = "frownsmile"
item = ["coherence"]
see = "smiles and frowns, both"

[[create]]
top_matches = "smiles and frowns"
matches = "both"
render_contains = "smilefrown"
item = ["incoherence"]
see = "smiles and frowns, both"

[[create]]
top_matches = "vertical bar"
matches = "vertical bar"
item = ["divides"]
see = "vertical bar"

[[create]]
top_matches = "vertical bar"
matches = "vertical bar"
item = ["evaluated at"]
see = "vertical bar"

[[create]]
top_matches = "vertical bar"
matches = "negated"
item = ["divides", "negated"]
see = "vertical bar, negated"

[[create]]
top_matches = "dagger"
matches = "dagger"
item = ["adjoint"]
see = "dagger"
render = 'adjoint ($\dag$)'

[[create]]
top_matches = "dot"
matches = "four"
item = ["proportion"]
see = "dot, four"

[[create]]
matches = "empty set"
item = "null set"
see = "empty set"
render = ""

[[create]]
top_matches = "minus"
matches = "colon"
item = ["excess"]
see = "minus, colon"

[[create]]
top_matches = "triangle"
matches = "bar through"
render_contains = '\STIXconictaper'
item = ["conic taper"]
see = "triangle, bar through"

[[create]]
render_contains = '\CircNgt'
item = ["circled symbols", "tilde"]

[[create]]
top_matches = "colon"
matches = "math mode"
item = ["ratio"]
see = "colon, math mode"

[[create]]
top_matches = "dot"
item = ["dot"]
seealso = "colon"
render = ""

[[create]]
top_matches = "similar"
matches = "similar"
item = ["swung dash"]
see = "similar"

[[create]]
top_matches = "similar"
matches = "or equal to"
render_contains = '\cong'
item = ["congruent"]
see = "similar, or equal to"

[[create]]
top_matches = "similar"
matches = "dots, vertical"
item = ["kernel contraction"]
see = "similar, dots, vertical"

[[create]]
top_matches = "equal"
matches = "asymptotically"
item = ["Vinogradov notation"]
see = "equal, asymptotically"

[[create]]
top_matches = "greater than"
matches = "much"
render_contains = '($\gg$)'
item = ["Vinogradov notation"]
see = "greater than, much"

[[create]]
top_matches = "less than"
matches = "much"
render_contains = '($\ll$)'
item = ["Vinogradov notation"]
see = "less than, much"

[[create]]
top_matches = "harpoon"
matches = "double, opposite sides"
item = ["equilibrium"]
see = "harpoon, double, opposite sides"

[[create]]
render_contains = '\RHAT'
item = ["hat", "as math-mode accent"]

[[create]]
top_matches = "accents"
matches = ["bat", "ghost"]
item = ['\1', "as math-mode accent"]
see = 'accents, \1'

[[create]]
top_matches = "accents"
matches = "witch on broom"
item = ["witch", "as math-mode accent"]
see = "accents, witch on broom"

[[create]]
render_contains = '($\e$)'
item = "e"
see = "Euler's number"
render = 'e ($\e$)'

[[create]]
render_contains = '\ABXdotdiv'
item = ["monus"]
see = "division, single dot"
render = 'monus ($\ABXdotdiv$)'

[[create]]
top_matches = "division"
matches = "times"
item = ["division times"]
see = "division, times"

[[create]]
top_matches = "axes"
item = ["coordinate axes"]
see = "axes"

[[create]]
top_matches = "square"
item = ["end of proof"]
seealso = "square"
render = ""

# -------------------------- geometric shapes --------------------------

[[create]]
top_matches = "rhombus"
matches = "rhombus"
item = ["lozenge"]
see = "rhombus"
render = ""

[[create]]
top_matches = "triangle"
matches = "impossible"
item = ["tribar"]
see = "triangle, impossible"

[[create]]
top_matches = "triangle"
matches = "impossible"
item = ["Penrose triangle"]
see = "triangle, impossible"

[[create]]
top_matches = "triangle"
matches = "triangle"
render_contains = '(\VarSummit)'
item = ["summit"]
see = "triangle"

[[create]]
top_matches = "triangle"
matches = "filled"
render_contains = '(\Summit)'
item = ["summit"]
see = "triangle, filled"

[[create]]
top_matches = "octagon"
matches = "with exclamation mark"
item = ["warning"]

# ----------------------------- astronomy ------------------------------

[[create]]
matches = "Arta"
item = "true light moon"
see = "Arta"

[[create]]
matches = "Lilith"
item = "black moon"
see = "Lilith"
render = ""

[[create]]
matches = "Selena"
item = "white moon"
see = "Selena"

[[create]]
top_matches = "recipe"
item = "retrograde motion"
render = 'retrograde motion (\textrecipe)'
see = "recipe"

[[create]]
top_matches = "recipe"
item = "prescription"
render = 'prescription (\textrecipe)'
see = "recipe"

[[create]]
top_matches = "recipe"
item = "pharmaceutical prescription"
render = 'pharmaceutical prescription (\textrecipe)'
see = "recipe"

# --------------------- various scientific symbols ---------------------

[[create]]
matches = "meteorological symbols"
item = "SYNOP cloud codes"
see = "meteorological symbols"

[[create]]
top_matches = "virus"
render_contains = '\faVirusCovid'
item = ["COVID-19"]
see = "virus"
render = ""

[[create]]
matches = "medium coeli"
item = "midheaven"
see = 'medium c{\\oe}li'

[[create]]
matches = "imum coeli"
item = "nadir"
see = 'imum c{\\oe}li'

[[create]]
top_matches = "mu"
matches = "lowercase upright"
item = ["micro"]
see = "mu, lowercase upright"

[[create]]
render_contains = '\STIXAngstrom'
preserve_escapes = true
item = ["Angstrom unit"]
word = '\AA{}ngstr\"om unit'
see = "A with ring"

# -------------------------- Ogham characters --------------------------

# Ogham letters look like tally markers so it may be helpful to
# categorize them also like that.

[[create]]
matches = "Ogham symbols"
item = ["tally markers", "tally markers"]
render = '\SMBTOGbeith~\SMBTOGluis~\SMBTOGfearn~\SMBTOGsail~\SMBTOGnion'

[[create]]
matches = "Ogham symbols"
item = ["tally markers", "tally markers"]
render = '\SMBTOGuath~\SMBTOGdair~\SMBTOGtinne~\SMBTOGcoll\SMBTOGceirt'

[[create]]
matches = "Ogham symbols"
item = ["tally markers", "tally markers"]
render = '\SMBTOGmuin~\SMBTOGgort~\SMBTOGngeadal~\SMBTOGstraif~\SMBTOGruis'

[[create]]
matches = "Ogham symbols"
item = ["tally markers", "tally markers"]
render = '\SMBTOGailm~\SMBTOGonn~\SMBTOGur~\SMBTOGeadhadh~\SMBTOGiodhadh'

[[create]]
matches = "Ogham symbols"
item = ["1", "tally"]
render = 'tally (\SMBTOGbeith)'

[[create]]
matches = "Ogham symbols"
item = ["2", "tally"]
render = 'tally (\SMBTOGluis)'

[[create]]
matches = "Ogham symbols"
item = ["3", "tally"]
render = 'tally (\SMBTOGfearn)'

[[create]]
matches = "Ogham symbols"
item = ["4", "tally"]
render = 'tally (\SMBTOGsail)'

[[create]]
matches = "Ogham symbols"
item = ["5", "tally"]
render = 'tally (\SMBTOGnion)'

[[create]]
matches = "Ogham symbols"
item = ["1", "tally"]
render = 'tally (\SMBTOGuath)'

[[create]]
matches = "Ogham symbols"
item = ["2", "tally"]
render = 'tally (\SMBTOGdair)'

[[create]]
matches = "Ogham symbols"
item = ["3", "tally"]
render = 'tally (\SMBTOGtinne)'

[[create]]
matches = "Ogham symbols"
item = ["4", "tally"]
render = 'tally (\SMBTOGcoll)'

[[create]]
matches = "Ogham symbols"
item = ["5", "tally"]
render = 'tally (\SMBTOGceirt)'

[[create]]
matches = "Ogham symbols"
item = ["1", "tally"]
render = 'tally (\SMBTOGmuin)'

[[create]]
matches = "Ogham symbols"
item = ["2", "tally"]
render = 'tally (\SMBTOGgort)'

[[create]]
matches = "Ogham symbols"
item = ["3", "tally"]
render = 'tally (\SMBTOGngeadal)'

[[create]]
matches = "Ogham symbols"
item = ["4", "tally"]
render = 'tally (\SMBTOGstraif)'

[[create]]
matches = "Ogham symbols"
item = ["5", "tally"]
render = 'tally (\SMBTOGruis)'

[[create]]
matches = "Ogham symbols"
item = ["1", "tally"]
render = 'tally (\SMBTOGailm)'

[[create]]
matches = "Ogham symbols"
item = ["2", "tally"]
render = 'tally (\SMBTOGonn)'

[[create]]
matches = "Ogham symbols"
item = ["3", "tally"]
render = 'tally (\SMBTOGur)'

[[create]]
matches = "Ogham symbols"
item = ["4", "tally"]
render = 'tally (\SMBTOGeadhadh)'

[[create]]
matches = "Ogham symbols"
item = ["5", "tally"]
render = 'tally (\SMBTOGiodhadh)'

# ------------------------- Star Wars symbols --------------------------

[[create]]
render_contains = '(\faBookJournalWhills)'
item = ["Star Wars symbols", "Journal of the Whills"]

[[create]]
render_regex = '\(\\fa([A-Z][a-z]+)([A-Z][a-z]+)\)'
render_contains = [
    '(\faJediOrder)',
    '(\faGalacticRepublic)',
    '(\faGalacticSenate)',
    '(\faOldRepublic)',
    '(\faTradeFederation)',
    '(\faPhoenixSquadron)'
]
item = ["Star Wars symbols", '\1 \2']

[[create]]
render_regex = '\(\\fa(Rebel|Sith|Mandalorian)\)'
item = ["Star Wars symbols", '\1']

[[create]]
render_contains = '(\faJedi)'
item = ["Star Wars symbols", "Jedi Order"]

[[create]]
render_contains = '(\faWolfPackBattalion)'
item = ["Star Wars symbols", "Wolfpack Battalion"]

[[create]]
render_contains = [
    '(\faBookJournalWhills)',
    '(\faJedi)',
    '(\faJediOrder)',
    '(\faGalacticRepublic)',
    '(\faGalacticSenate)',
    '(\faMandalorian)',
    '(\faOldRepublic)',
    '(\faRebel)',
    '(\faSith)',
    '(\faTradeFederation)',
    '(\faPhoenixSquadron)',
    '(\faWolfPackBattalion)'
]
item = ["symbols", "Star Wars"]
render = ""

# ------------------------------ animals -------------------------------

[[create]]
matches = [
    "hummingbird",
    "kiwi bird",
    "peacock",
    "swan",
    "toucan"
]
item = "bird"
seealso = '\\emph{names of specific birds}'
render = ""

[[create]]
matches = [
    "butterfly",
    "dragonfly",
    "ladybug",
    "praying mantis"
]
item = "insect"
seealso = '\\emph{names of specific insects}'
render = ""

[[create]]
top_matches = "insect"
item = ["bug"]
see = "insect"
render = ""

[[create]]
top_matches = "nest"
item = ["bird nest"]
see = "nest"
render = ""

[[create]]
top_matches = "bunny"
item = ["rabbit"]
seealso = "bunny"
render = ""

[[create]]
top_matches = "grasshopper"
item = ["locust"]
see = 'grasshopper \\emph{and perhaps} cricket'
render = ""

[[create]]
top_matches = "dove"
item = ["peace"]
seealso = "dove"
render = ""

# ------------------------- playing card suits -------------------------

[[create]]
matches = "playing card suits"
item = "card suits"
see = "playing card suits"

[[create]]
matches = "playing card suits"
item = "club"
render = 'club ($\clubsuit$)'
see = "playing card suits, club"

[[create]]
matches = "playing card suits"
item = "spade"
render = 'spade ($\spadesuit$)'
see = "playing card suits, spade"

[[create]]
matches = "playing card suits"
item = "diamond suit"
render = 'diamond suit ($\diamondsuit$)'
see = "playing card suits, diamond"

[[create]]
matches = "playing card suits"
item = ["heart", "suit"]
render = ""
see = "playing card suits, heart"

# ------------------------- charts and graphs --------------------------

[[create]]
top_matches = "line chart"
item = ["trend line"]
seealso = "line chart"
render = ""

[[create]]
top_matches = [
    "area chart",
    "bar chart",
    "candlestick chart",
    "combined chart",
    "Gantt chart",
    "line chart",
    "network chart",
    "pie chart",
    "scatter chart"
]
item = ["chart"]
see = 'area chart, bar chart, candlestick chart, combined chart, Gantt chart, line chart, network chart, pie chart, \\emph{and} scatter chart'
render = ""

[[create]]
top_matches = [
    "area chart",
    "bar chart",
    "candlestick chart",
    "combined chart",
    "Gantt chart",
    "line chart",
    "network chart",
    "pie chart",
    "scatter chart"
]
item = ["graph"]
see = 'area chart, bar chart, candlestick chart, combined chart, Gantt chart, line chart, network chart, pie chart, \\emph{and} scatter chart'
render = ""

[[create]]
matches = "bar chart"
item = "poll"
see = "bar chart"
render = ""

# ------------------------------- flags --------------------------------

[[create]]
top_matches = "flag"
matches = "flag"
item = ["pennant"]
see = "flag"
render = ""

[[create]]
top_matches = "flag"
matches = "England"
item = ["flag", "St.~George's cross"]
see = "flag, England"
render = ""

[[create]]
top_matches = "flag"
matches = "Scotland"
item = ["flag", "St.~Andrew's cross"]
see = "flag, Scotland"
render = ""

[[create]]
render_regex = '\\worldflag\{([A-Z])\}'
item = ['\1', "maritime signal flag"]

[[create]]
render_regex = '\\worldflag\{([0-9])\}'
item = ['\1', "maritime signal flag, ICS"]

[[create]]
render_regex = 'mtimesmall\{([A-Z])\}'
item = ['\1', "maritime signal flag"]

# ------------------------------- stars --------------------------------

[[create]]
top_matches = "star"
matches = "of David"
item = ["star", "Jewish"]
see = "star, of David"

[[create]]
top_matches = "star"
matches = "of David"
item = ["Jewish star"]
see = "star, of David"

[[create]]
top_matches = "star"
matches = "and crescent"
item = ["Islam"]
see = "star, and crescent"

[[create]]
top_matches = "star"
matches = "pentagram"
item = ["assumption"]
see = "star, pentagram"

[[create]]
compare_lowercase = true
contains = ["fivestarlines", "manstar", "pentagram"]
item = ["pentagram"]
see = "star, pentagram"

[[create]]
top_matches = "flag"
matches = "United States"
item = ["countries", "flags"]
see = "flag"
render = ""

# ------------------------- files and folders --------------------------

[[create]]
top_matches = "file"
matches = "file"
item = "document"
see = "file"
render = ""

[[create]]
top_matches = "file"
matches = "plus"
item = "add"
see = "file, plus"
render = ""

[[create]]
top_matches = "file"
matches = "minus"
item = "delete"
see = "file, minus"
render = ""

[[create]]
top_matches = "folder"
matches = "plus"
item = "add"
see = "folder, plus"
render = ""

[[create]]
top_matches = "folder"
matches = "minus"
item = "delete"
see = "folder, minus"
render = ""

# ------------------------------- chess --------------------------------

[[create]]
top_matches = "chess"
matches = "bishop"
item = ["bishop", "chess"]
see = "chess, bishop"

[[create]]
top_matches = "chess"
matches = "king"
item = ["king", "chess"]
see = "chess, king"

[[create]]
top_matches = "chess"
matches = "knight"
item = ["knight", "chess"]
see = "chess, knight"

[[create]]
top_matches = "chess"
matches = "pawn"
item = ["pawn", "chess"]
see = "chess, pawn"

[[create]]
top_matches = "chess"
matches = "queen"
item = ["queen", "chess"]
see = "chess, queen"

[[create]]
top_matches = "chess"
matches = "rook"
item = ["rook", "chess"]
see = "chess, rook"

[[create]]
top_matches = "chess"
matches = "rook"
item = ["castle", "chess"]
see = "chess, rook"

# ----------------------------- technology -----------------------------

[[create]]
matches = "wireless network"
item = "wifi"
see = "wireless network"

[[create]]
matches = "cellular signal"
item = "signal"
see = "cellular signal"

[[create]]
top_matches = "computer"
matches = "laptop"
item = ["laptop computer"]
see = "computer, laptop"
render = ""

[[create]]
top_matches = "memory, computer"
item = ["computer memory"]
see = "memory, computer"
render = ""

[[create]]
contains = "keyboard symbols"
item = "keys, computer"
see = "keyboard symbols"

[[create]]
contains = "keyboard symbols"
item = "computer keys"
see = "keyboard symbols"

[[create]]
matches = "mobile phone"
item = "smartphone"
see = "mobile phone"
render = ""

[[create]]
matches = "record player"
item = "turntable"
see = "record player"

[[create]]
matches = "television"
item = "TV"
see = "television"
render = ""

[[create]]
matches = "hard drive"
item = "disk drive"
see = "hard drive"
render = ""

[[create]]
matches = "compact disc"
item = "DVD"
seealso = "compact disc"
render = ""

[[create]]
top_matches = "pill"
item = ["tablet"]
seealso = "pill"
render = ""

[[create]]
top_matches = "NFC"
item = ["near-field communication"]
see = "NFC"
render = ""

[[create]]
top_matches = "HD"
item = ["high definition"]
see = "HD"
render = ""

[[create]]
top_matches = "floppy disk"
item = ["save"]
see = "floppy disk"

[[create]]
top_matches = "join (database)"
item = ["database join"]
see = "join (database)"
render = ""

[[create]]
top_matches = "join (database)"
item = ["relational algebra"]
see = "join (database)"
render = ""

[[create]]
top_matches = "circled symbols"
matches = "telephone handset"
item = ["telephone handset", "circled"]
see = "circled symbols, telephone handset"

[[create]]
top_matches = "Casio calculator keys"
seealso = "calculator keys"

[[create]]
top_matches = "version control"
item = ["Git"]
seealso = "version control"
render = ""

[[create]]
matches = "Microsoft Windows"
item = "Windows"
see = "Microsoft Windows"

[[create]]
matches = "search"
item = ["magnifying glass"]
seealso = 'search \\emph{and} zoom'
render = ""

[[create]]
matches = "Raku"
item = "Perl 6"
see = "Raku"

[[create]]
top_matches = "file"
matches = "file"
item = "document"
see = "file"
render = ""

[[create]]
top_matches = "megaphone"
item = ["loudspeaker"]
see = "megaphone"

# ----------------------- user-interface symbols -----------------------

[[create]]
top_matches = "version control"
matches = "pull request"
item = "merge request"
see = "pull request"
render = ""

[[create]]
top_matches = "align objects"
item = ["distribute objects"]
seealso = "align objects"
render = ""

[[create]]
top_matches = "distribute objects"
item = ["align objects"]
seealso = "distribute objects"
render = ""

[[create]]
top_matches = ["text cursor", "mouse pointer", "throbber"]
item = ["cursor"]
see = "text cursor, mouse pointer, and throbber"
render = ""

[[create]]
top_matches = "throbber"
item = ["loading icon"]
see = "throbber"
render = ""

[[create]]
top_matches = "throbber"
item = ["wait cursor"]
see = "throbber"
render = ""

[[create]]
top_matches = "robot"
item = ["bot"]
see = "robot"
render = ""

[[create]]
top_matches = "gear"
item = ["settings"]
seealso = "gear"
render = ""

[[create]]
top_matches = "eye"
matches = "slashed"
item = ["hide"]
seealso = "eye, slashed"
render = ""

# ------------------- games, sports, and recreation --------------------

[[create]]
matches = "soccer ball"
item = "football"
see = "soccer ball"
render = ""

[[create]]
top_matches = "ladder"
matches = "with waves"
item = ["swimming pool"]
see = "ladder, with waves"

[[create]]
top_matches = "video game controller"
item = ["game controller"]
see = "video game controller"
render = ""

[[create]]
matches = "puzzle piece"
item = "jigsaw puzzle"
see = "puzzle piece"

[[create]]
top_matches = "checkers pieces"
item = ["draughts pieces"]
see = "checkers pieces"
render = ""

[[create]]
top_matches = "symbols"
matches = "checkers"
item = ["symbols", "draughts"]
see = "symbols, checkers"
render = ""

[[create]]
matches = "toy brick"
item = "LEGO brick"
see = "toy brick"

[[create]]
top_matches = "ping pong"
item = "table tennis"
see = "ping pong"
render = ""

[[create]]
top_matches = "rugby football"
item = ["football", "rugby"]

# --------------------------- media control ----------------------------

[[create]]
top_matches = "media control symbols"
matches = "forward"
item = ["fast forward"]
see = "media control symbols, forward"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "forward"
item = ["skip forward"]
see = "media control symbols, forward"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "forward"
item = ["step forward"]
see = "media control symbols, forward"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "reverse"
item = ["rewind"]
see = "media control symbols, reverse"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "reverse"
item = ["reverse"]
see = "media control symbols, reverse"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "reverse"
item = ["skip backward"]
see = "media control symbols, reverse"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "reverse"
item = ["step backward"]
see = "media control symbols, reverse"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "pause"
item = ["pause"]
see = "media control symbols, pause"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "power"
item = ["power"]
see = "media control symbols, power"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "record"
item = ["record"]
see = "media control symbols, record"
render = ""

[[create]]
top_matches = "media control symbols"
matches = "stop"
item = ["stop"]
see = "media control symbols, stop"
render = ""

[[create]]
top_matches = "speaker"
item = ["volume control"]
see = "speaker"
render = ""

[[create]]
top_matches = "speaker"
matches = "muted"
item = ["mute"]
see = "speaker, muted"

# ----------------------------- airplanes ------------------------------

[[create]]
top_matches = "airplane"
matches = "military"
item = ["fighter jet"]
see = "airplane, military"

[[create]]
top_matches = "airplane"
matches = "paper"
item = ["paper airplane"]
see = "airplane, paper"

[[create]]
top_matches = "airplane"
matches = "paper"
item = ["send email"]
see = "airplane, paper"

# ------------------------ typographic symbols -------------------------

[[create]]
matches = "per mill"
item = "per thousand"
see = "per mill"

[[create]]
matches = "per mill"
item = "thousandths"
see = "per mill"

[[create]]
matches = "per mill"
item = "millesimal sign"
see = "per mill"

[[create]]
matches = "permyriad"
item = "per ten thousand"
see = "permyriad"

[[create]]
matches = "permyriad"
item = "ten thousandths"
see = "permyriad"

[[create]]
top_matches = "hash"
item = ["number sign"]
see = "hash"

[[create]]
top_matches = "hash"
item = ["pound sign"]
see = "hash"

[[create]]
top_matches = "hash"
item = ["octothorpe"]
see = "hash"

[[create]]
top_matches = "slash"
matches = "slash"
item = ["solidus"]
see = "slash"

[[create]]
top_matches = "slash"
matches = "slash"
item = ["not"]
see = "slash"

[[create]]
top_matches = "backslash"
matches = "backslash"
item = ["reverse solidus"]
see = "backslash"

[[create]]
matches = "vertical bar"
item = ["pipe"]
see = "vertical bar"

# -------------------------- everyday objects --------------------------

[[create]]
top_matches = "mask"
matches = "theater"
item = ["comedy and tragedy"]
see = "mask, theater"

[[create]]
top_matches = "mask"
matches = "theater"
item = ["theater masks"]
see = "mask, theater"

[[create]]
top_matches = "target"
item = ["goal"]
see = "target"
render = ""

[[create]]
matches = "traffic light"
item = "stoplight"
see = "traffic light"
render = ""

[[create]]
top_matches = "oven"
item = ["stove"]
see = "oven"
render = ""

[[create]]
top_matches = "banknote"
not_matches = "banknote"
item = ['\1 banknote']
see = 'banknote, \1'
render = ""

[[create]]
matches = "wrench"
item = "spanner"
see = "wrench"
render = ""

[[create]]
matches = "eggplant"
item = "aubergine"
see = "eggplant"
render = ""

[[create]]
matches = "mailbox"
item = "postbox"
see = "mailbox"
render = ""

[[create]]
top_matches = "truck"
item = ["lorry"]
see = "truck"
render = ""

[[create]]
matches = "pushpin"
item = "thumbtack"
see = "pushpin"
render = ""

[[create]]
matches = "pushpin"
item = "pin"
see = "pushpin"
render = ""

[[create]]
matches = "jack-o'-lantern"
item = "pumpkin"
see = "jack-o'-lantern"
render = ""

[[create]]
top_matches = "gear"
item = ["cog"]
see = "gear"
render = ""

[[create]]
top_matches = "baby"
item = "infant"
see = "baby"
render = ""

[[create]]
top_matches = "billed cap"
item = ["baseball cap"]
see = "billed cap"

[[create]]
matches = "mortarboard"
item = ["graduation cap"]
see = "mortarboard"
render = ""

[[create]]
top_matches = "automobile"
matches = "automobile"
item = ["car"]
see = "automobile"
render = ""

[[create]]
matches = "luggage"
item = ["suitcase"]
see = "luggage"
render = ""

[[create]]
top_matches = "envelope"
matches = "envelope"
item = ["email"]
see = "envelope"
render = ""

[[create]]
top_matches = "envelope"
matches = "envelope"
item = ["e-mail"]
see = "envelope"
render = ""

[[create]]
top_matches = "page"
item = ["paper"]
see = "page"
render = ""

[[create]]
matches = "gun"
item = ["pistol"]
see = "gun"
render = ""

[[create]]
top_matches = "gun"
matches = "squirt"
item = ["water pistol"]
see = "gun, squirt"
render = ""

[[create]]
top_matches = "trash"
matches = "trash"
item = ["wastebasket"]
see = "trash"
render = ""

[[create]]
top_matches = "trash"
matches = "trash"
item = ["rubbish bin"]
see = "trash"
render = ""

[[create]]
matches = "gravestone"
item = ["tombstone"]
see = "gravestone"

[[create]]
matches = "gravestone"
item = ["headstone"]
see = "gravestone"

[[create]]
top_matches = "chalkboard"
matches = "chalkboard"
item = ["blackboard"]
see = "chalkboard"

[[create]]
top_matches = "chalkboard"
matches = "chalkboard"
item = ["whiteboard"]
see = "chalkboard"

[[create]]
matches = "military"
render_contains = '\dsmilitary'
item = ["sword", "multiple, crossed"]

[[create]]
render_contains = '\SMBTlabrys'
item = "axe"
render = 'axe (\SMBTlabrys)'

[[create]]
top_matches = "sack"
item = ["bag"]
see = "sack"
render = ""

[[create]]
top_matches = "toilet"
matches = "portable"
item = ["portable toilet"]
see = "toilet, portable"

[[create]]
matches = "store"
item = ["shop"]
see = "store"
render = ""

[[create]]
top_matches = "tower"
regex_matches = '(.+)'
item = ['\1 tower']
see = 'tower, \1'
render = ""

[[create]]
top_matches = "shopping cart"
item = ["check out"]
see = "shopping cart"
render = ""

[[create]]
top_matches = "unpin"
item = ["pushpin", "slashed"]

[[create]]
top_matches = "telephone"
matches = "text"
item = ["TTY"]
see = "telephone, text"

[[create]]
matches = "fuel pump"
item = "gas pump"
see = "fuel pump"
render = ""

[[create]]
matches = "fuel pump"
item = "petrol pump"
see = "fuel pump"
render = ""

[[create]]
top_matches = "money"
matches = "bag"
item = ["sack", "with dollar sign"]
see = "money, bag"
render = ""

[[create]]
top_matches = "dolls"
matches = "nesting"
item = ["Matryoshka dolls"]
see = "dolls, nesting"

[[create]]
matches = "award"
seealso = "medal"
render = ""

[[create]]
matches = "megaphone"
item = "bullhorn"
see = "megaphone"
render = ""

[[create]]
matches = "Tokyo Tower"
item = ["tower", "Tokyo"]
see = "Tokyo Tower"

[[create]]
top_matches = "building"
matches = "classical"
item = ["landmark"]
see = "building, classical"

[[create]]
matches = "flashlight"
item = "torch"
see = "flashlight"
render = ""

[[create]]
matches = "hook"
item = "fishhook"
see = "hook"

[[create]]
top_matches = "life preserver"
item = ["ring buoy"]
see = "life preserver"

[[create]]
top_matches = "eyedropper"
item = ["pipette"]
see = "eyedropper"

[[create]]
top_matches = "knife"
matches = "pocket"
item = "Swiss army knife"
see = "knife, pocket"

[[create]]
top_matches = "couch"
item = ["sofa"]
see = "couch"
render = ""

[[create]]
top_matches = "stamp"
item = ["rubber stamp"]
see = "stamp"

[[create]]
top_matches = "rock"
item = ["stone"]
see = "rock"
render = ""

[[create]]
matches = "wheelchair"
item = ["accessibility"]
seealso = "wheelchair"
render = ""

[[create]]
top_matches = "table"
render_contains = '\lucideicon{table-'
item = ["spreadsheet"]
see = "table"
render = ""

[[create]]
top_matches = "funnel"
item = ["filter"]
see = "funnel"
render = ""

[[create]]
top_matches = "cigarette"
item = ["smoking"]
see = "cigarette"
render = ""

# ------------------------- body-text symbols --------------------------

[[create]]
top_matches = "pilcrow"
item = "paragraph mark"
render = 'paragraph mark (\P)'
see = "pilcrow"

[[create]]
matches = "registered trademark"
item = ["registered trademark"]
see = "legal symbols, registered trademark"

[[create]]
matches = "trademark"
item = ["trademark"]
see = "legal symbols, trademark"

[[create]]
matches = "celsius"
item = ["centigrade"]
see = "celsius"

[[create]]
top_matches = "minus"
matches = "commercial"
item = ["discount"]
see = "minus, commercial"

[[create]]
top_matches = "minus"
matches = "commercial"
item = ["abzuglich"]
word = 'abz\"uglich'
see = "minus, commercial"

[[create]]
top_matches = "legal symbols"
matches = [
    "copyright",
    "copyleft",
    "registered trademark",
    "service mark",
    "trademark",
    "Unlicense"
]
item = ['\g<0>']
see = 'legal symbols, \g<0>'

# -------------------------- people and faces --------------------------

[[create]]
top_matches = "user"
item = ["person"]
seealso = "user"
render = ""

[[create]]
top_matches = "users"
item = ["people"]
seealso = "users"
render = ""

[[create]]
top_matches = "face"
matches = "smiling"
item = ["smiley face"]
see = "face, smiling"
render = ""

[[create]]
top_matches = "face"
matches = "frowning"
item = ["frowny face"]
see = "face, frowning"
render = ""

[[create]]
top_matches = "hat"
matches = "with glasses"
item = ["spy"]
seealso = "hat, with glasses"
render = ""

[[create]]
matches = "Santa Claus"
item = "Father Christmas"
see = "Santa Claus"

# --------------------------- speech bubbles ---------------------------

[[create]]
matches = "speech bubble"
item = ["word balloon"]
see = "speech bubble"
render = ""

[[create]]
matches = "speech bubble"
item = ["text message"]
see = "speech bubble"
render = ""

[[create]]
matches = "speech bubble"
item = ["comment"]
see = "speech bubble"
render = ""

# -------------------------- food and cooking --------------------------

# ... food ...

[[create]]
matches = "cookie"
item = "biscuit"
see = "cookie"
render = ""

[[create]]
top_matches = "cupcake"
item = ["fairy cake"]
see = "cupcake"
render = ""

[[create]]
top_matches = "doughnut"
item = ["donut"]
see = "doughnut"
render = ""

[[create]]
top_matches = "french fries"
item = ["chips"]
see = "french fries"
render = ""

# ... kitchen items ...

[[create]]
top_matches = "pan"
item = ["frying pan"]
see = "pan"
render = ""

[[create]]
top_matches = "pan"
item = ["skillet"]
see = "pan"
render = ""

[[create]]
top_matches = "glass"
matches = "cocktail"
item = ["cocktail"]
see = "glass, cocktail"

[[create]]
top_matches = "glass"
matches = "cocktail"
item = ["martini"]
see = "glass, cocktail"

# --------------------------- miscellaneous ----------------------------

[[create]]
render_contains = ["Greenpoint", "PackingWaste"]
item = "Green Dot"
see = "recycling"

[[create]]
render_contains = ["Greenpoint", "PackingWaste"]
item = "Grune Punkt"
word = 'Gr\"une Punkt'
see = "recycling"

[[create]]
matches = "warning"
item = "caution"
see = "warning"
render = ""

[[create]]
matches = "warning"
item = "danger"
see = "warning"
render = ""

[[create]]
matches = "warning"
item = "alert"
see = "warning"
render = ""

[[create]]
top_matches = "extraterrestrial"
item = ["alien"]
see = "extraterrestrial"
render = ""

[[create]]
top_matches = "cross (crucifix)"
render_contains = '(\SummitSign)'
item = ["summit"]
see = "cross (crucifix)"

[[create]]
top_matches = "cycling"
item = ["biking"]
see = "cycling"
render = ""

[[create]]
top_matches = "hammer"
matches = "and sickle"
item = ["communism"]
see = "hammer, and sickle"

[[create]]
top_matches = "circled symbols"
matches = "user"
item = ["user", "circled"]
see = "circled symbols, user"

[[create]]
matches = "GNU Emacs"
item = "Emacs"
see = "GNU Emacs"
render = ""

[[create]]
top_matches = "arrow"
matches = "circular, two, dingbat"
item = ["rotate"]
see = "arrow, circular, two, dingbat"

[[create]]
regex = 'sign (in|out)'
item = 'log \1'

[[create]]
matches = "ZZZ"
item = ["snoring"]
see = "ZZZ"
render = ""

[[create]]
top_matches = "cross mark"
item = ["X"]
seealso = "cross mark"
render = ""

[[create]]
top_matches = "hand"
matches = "victory sign"
item = ["peace"]
seealso = "hand, victory sign"
render = ""

[[create]]
top_matches = "heart"
matches = "with pulse"
item = ["heartbeat"]
see = "heart, with pulse"

[[create]]
top_matches = "location"
item = ["map marker"]
see = "location"

[[create]]
matches = "closed-circuit television"
item = "CCTV"
see = "closed-circuit television"

[[create]]
top_matches = "unplug"
item = ["plug"]
seealso = "unplug"
render = ""

[[create]]
top_matches = "crosshairs"
item = ["location"]
see = "crosshairs"

[[create]]
top_matches = "no smoking"
item = ["cigarette"]
seealso = "no smoking"
render = ""

[[create]]
top_matches = "Quran"
item = ["Koran"]
see = "Quran"

[[create]]
top_matches = "solar system"
item = ["planets"]
seealso = "solar system"
render = ""

[[create]]
top_matches = "ringed planet"
item = ["Saturn"]
see = "ringed planet"

[[create]]
top_matches = "eye"
render_contains = '\faEye'
item = ["show"]
see = "eye"

[[create]]
top_matches = "droplet"
item = ["raindrop"]
see = "droplet"
render = ""

[[create]]
top_matches = "droplet"
item = ["sweat"]
see = "droplet"
render = ""

[[create]]
top_matches = "scales"
item = ["justice"]
see = "scales"

[[create]]
top_matches = "link"
item = ["chain"]
see = "link"

[[create]]
top_matches = "pen"
item = ["marker"]
see = "pen"

[[create]]
top_matches = "pen"
item = ["highlighter"]
see = "pen"

[[create]]
top_matches = "radioactive"
item = ["radiation"]
see = "radioactive"

[[create]]
top_matches = "cloud"
matches = "with lightning"
item = ["storm"]
see = "cloud, with lightning"

[[create]]
top_matches = "thermometer"
item = ["temperature"]
seealso = "thermometer"
render = ""
